
Foreman - Feature #4423

Allow puppet classes to be imported by environment

02/24/2014 04:59 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee:    

Category: Puppet integration   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

This PR allows user to import puppet classes from a specific environment manually, from both GUI and Rake.

Developers can click a button to sync the classes they recently created/updated/removed in a specific environment to Foreman,

without waiting for the lengthy full class/environment sync to be finished by "ruby193-rake puppet:import:puppet_classes[batch]"

https://github.com/theforeman/foreman/pull/1204

https://github.com/theforeman/foreman/pull/1215

Associated revisions

Revision 10ac0055 - 02/24/2014 04:57 PM - Neil Miao

fixes #4423 - allow puppet classes to be imported by environment

History

#1 - 02/24/2014 05:31 PM - Neil Miao

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 10ac0055a1b3346929c54bf48157048b82402fb2.

Powered by TCPDF (www.tcpdf.org)

05/11/2024 1/1

https://github.com/theforeman/foreman/pull/1204
https://github.com/theforeman/foreman/pull/1215
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/10ac0055a1b3346929c54bf48157048b82402fb2
http://www.tcpdf.org

